package com.liang.service.impl;

import com.liang.dao.PrjBudgetRecordDao;
import com.liang.entity.PrjBudgetRecord;
import com.liang.service.PrjBudgetRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("prjBudgetRecordService")
public class PrjBudgetRecordServiceImpl implements PrjBudgetRecordService {
    @Resource
    private PrjBudgetRecordDao prjBudgetRecordDao;


    @Override
    public int addHistoryRecord(List<PrjBudgetRecord> record) {
        return this.prjBudgetRecordDao.addHistoryRecord(record);
    }

    @Override
    public void deleteHixstoryRecord(Integer xm) {
        this.prjBudgetRecordDao.deleteHixstoryRecord(xm);
    }

    @Override
    public List<PrjBudgetRecord> queryRecordByXM(Integer id) {
        return this.prjBudgetRecordDao.queryRecordByXM(id);
    }
}
